CREATE OR REPLACE TRIGGER LOG_VND_FILITABGER
AFTER DELETE OR INSERT OR UPDATE
ON FILITABGER FOR EACH ROW
DECLARE
  V_DSREMOTEADDR VARCHAR2(15);
  V_DSREMOTEHOST VARCHAR2(15);
  V_DSSERVERRDM  VARCHAR2(20);
  V_DSSERVMETHOD VARCHAR2(30);
  V_DSREMOTEOPER VARCHAR2(12);
  V_DESC         VARCHAR2(500);
  V_ITPESQ       VARCHAR2(100);
  V_NMOPERADOR   VARCHAR2(40);
  V_IDTIPOOPER   VARCHAR2(1);
BEGIN
/* IDTIPOOPER - '1' - Incluso, '2' - Alterao, '3' - Excluso*/
   V_DESC       := '';
   V_ITPESQ     := '';
   V_NMOPERADOR := '';
   V_IDTIPOOPER := '';
   NMUSUARIO(V_NMOPERADOR);
   WEBTUNNING(V_DSREMOTEADDR,
              V_DSREMOTEHOST,
              V_DSSERVERRDM,
              V_DSSERVMETHOD,
              V_DSREMOTEOPER);
   IF UPDATING THEN
		IF NVL(:NEW.CDTABEPREC ,'NULL') <> NVL(:OLD.CDTABEPREC ,'NULL') THEN
			V_DESC := NVL(V_DESC,'') || ' ' || 'Cd da Tabela de Preo ' || '' || NVL(:NEW.CDTABEPREC,'')|| ' ' ||
                                            'Filial'                 || '' || NVL(:NEW.CDFILIAL,'' );
		END IF;
		V_ITPESQ := :NEW.CDTABEPREC||:NEW.CDFILIAL;
      V_IDTIPOOPER := '2';
   ELSE
      IF INSERTING THEN
         V_DESC   := 'Cd da Tabela de Preo ' || '' || NVL(:NEW.CDTABEPREC,''  )     || ' ' ||
                     'Filial'            || '' || NVL(:NEW.CDFILIAL,'' );
         V_ITPESQ := :NEW.CDTABEPREC||:NEW.CDFILIAL;
         V_IDTIPOOPER := '1';
      ELSE
         IF DELETING THEN
            V_DESC   := 'Cd da Tabela de Preo ' || '' || NVL(:OLD.CDTABEPREC,''  )     || ' ' ||
                        'Filial'                 || '' || NVL(:OLD.CDFILIAL,'' );
            V_ITPESQ := :OLD.CDTABEPREC||:OLD.CDFILIAL;
            V_IDTIPOOPER := '3';
         END IF;
      END IF;
   END IF;
   V_DESC := SUBSTR(V_DESC, 1, 300);
   V_ITPESQ := SUBSTR(V_ITPESQ,1,40);
   INSERT INTO LOGOPERAVND
      (NMTABELAVND,
       DTOPERACAOVND,
       NMRESPOPERVND,
       IDTIPOOPERVND,
       DSOPERACAOVND,
       CDPESQITEMVND,
       DSRDMUSUOPERVND,
       DSENDUSUOPERVND,
       DSNMUSUOPERVND,
       DSMETUSUOPERVND,
       CDORESPOPERVND,
       CDFILLOGOPERVND)
   VALUES
      ('FILITABGER',
       SYSDATE,
       NVL(V_NMOPERADOR,' '),
       V_IDTIPOOPER,
       NVL(V_DESC,' '),
       V_ITPESQ,
       V_DSSERVERRDM,
       V_DSREMOTEADDR,
       V_DSREMOTEHOST,
       V_DSSERVMETHOD,
       V_DSREMOTEOPER,
       NULL);
END;
/